//
//  gnustepbugAppDelegate.m
//  gnustepbug
//
//  Created by Julian Mayer on 05.11.11.
//  Copyright 2011 A. Julian Mayer. All rights reserved.
//

#import "gnustepbugAppDelegate.h"

@implementation gnustepbugAppDelegate

@synthesize window;

+ (void)initialize
{

	NSMutableDictionary *defaultValues = [NSMutableDictionary dictionary];
	

	[defaultValues setObject:[NSArchiver archivedDataWithRootObject:[NSColor colorWithCalibratedRed:1.0 green:0.0 blue:0.0 alpha:1.0]] forKey:@"color"];

	
	[[NSUserDefaults standardUserDefaults] registerDefaults:defaultValues];
}
	 
- (IBAction)printColor:(id)sender
{
	NSLog(@" going to print color ");
	NSData *cd = [[NSUserDefaults standardUserDefaults] objectForKey:@"color"];
	
	if (cd)
	{
		NSColor *value = [NSUnarchiver unarchiveObjectWithData:cd];
		CGFloat c[4];
		[value getComponents:c];
		NSLog(@" color is rgba %f %f %f %f", c[0], c[1], c[2], c[3]);
	}
	else
		NSLog(@" no color");
}
@end
